export type User = {
	id: string;
	name: string;
	display_name: string | null;
	bio: string | null;
	avatar: string | null;

	names: FieldEntry[];
	pronouns: PronounEntry[];
	fields: ProfileField[];
};

export type FieldEntry = {
	value: string;
	status: string;
};

export type ProfileField = {
	name: string;
	entries: FieldEntry[];
};

export type PronounEntry = {
	value: string;
	status: string;
	display: string | null;
};

export type Meta = {
	users: number;
	members: number;
};
